For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTApprove/Reject time-off requests
      • DELCancel time-off request
      • POSTCreate time-off request
      • POSTExternal HR Time Off Synchronization
      • GETGet Profile Entitlements
      • GETGet Time Off Events for Profile
      • GETGet Work Schedule and Holidays
      • GETList policies
      • GETList time-off requests
      • GETList time-off requests for Organization
      • GETRetrieve policy validation templates
      • PATCHUpdate time-off request
      • POSTValidate time-off request
LogoLogo
SupportDeel Home
EndpointsTime Off

Update time-off request

PATCH
/time_offs/:time_off_id
PATCH
/rest/v2/time_offs/:time_off_id
$curl -X PATCH https://api.letsdeel.com/rest/v2/time_offs/d290f1ee-6c54-4b01-90e6-d701748f0851 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "end_date": "2021-04-30",
> "start_date": "2021-04-01",
> "recipient_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
> "reason": "Vacation",
> "is_paid": true,
> "time_off_type_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
> }
>}'
1{
2 "time_off": {
3 "amount": 1,
4 "is_paid": false,
5 "end_date": "2021-08-01",
6 "created_at": "2021-07-01T00:00:00Z",
7 "start_date": "2021-07-01",
8 "updated_at": "2021-07-01T00:00:00Z",
9 "requested_at": "2021-07-01",
10 "half_end_date": false,
11 "half_start_date": false,
12 "entitlement_unit": "CALENDAR_DAY",
13 "time_off_type_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
14 "reason": "Vacation",
15 "status": "REQUESTED",
16 "approved_at": "2021-07-01T00:00:00Z",
17 "attachments": [
18 {
19 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
20 "filename": "vacation-request.pdf",
21 "created_at": "2021-07-01T11:22:33Z",
22 "updated_at": "2021-07-01T33:44:33Z"
23 }
24 ],
25 "description": "Vacation",
26 "contract_oid": "d290f1ee-6c54-4b01-90e6-d701748f0851",
27 "deduction_amount": 1,
28 "time_off_dailies": [
29 {
30 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
31 "date": "2021-07-01",
32 "type": "WORKING_DAY",
33 "amount": 1,
34 "created_at": "2021-07-01T00:00:00Z",
35 "updated_at": "2021-07-01T00:00:00Z",
36 "time_off_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
37 "description": "Vacation"
38 }
39 ],
40 "recipient_profile": {
41 "hris_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
42 "organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
43 },
44 "requester_profile": {
45 "organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
46 "hris_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
47 "client_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
48 },
49 "time_off_percentage": 1,
50 "is_end_date_estimated": false,
51 "other_type_description": "Vacation"
52 }
53}

Applies a partial update to an existing time-off request identified by time_off_id. Only fields included in the request body are modified. Token scopes: time-off:write, worker:write

Was this page helpful?
Previous

Validate time-off request

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

time_off_idstringRequiredformat: "uuid"
Time off request id

Request

Time off update request data
dataobjectOptional
Time off update request data

Response

Time off updated
time_offobject
Used to return the updated time off request after modification. Contains all the time off details including status, dates, amounts, and associated metadata.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication